# Complete bank account verification

`PUT /accounts/{accountID}/bank-accounts/{bankAccountID}/verify`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Finalize the instant micro-deposit verification by submitting the verification code displayed in the user's bank account. 

Upon successful verification, the bank account status will be updated to `verified` and eligible for ACH debit transactions.

The following formats are accepted:
- `MV0000`
- `mv0000`
- `0000`

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/bank-accounts.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes |  |
| `bankAccountID` | path | string | Yes |  |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | Code provided by user from their bank account transactions |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `verificationMethod` | string | Yes | Values: `instant`, `ach`. |
| `status` | string | Yes | Values: `new`, `sent-credit`, `max-attempts-exceeded`, `failed`, `expired`, `successful`. |
| `exceptionDetails` | object |  | Reason for, and details related to, an `errored` or `verificationFailed` bank account status. |
| `exceptionDetails.achReturnCode` | string |  | The return code of an ACH transaction that caused the bank account status to change. - R02: Account Closed - R03: No Account/Unable to Locate Account - R04: Invalid Account Number - R05: Improper Debit to Consumer Account - R07: Authorization Revoked by Customer - R08: Payment Stopped - R10: Customer Advises Originator is Not Known or Authorized to Receiver - R11: Customer Advises Entry Not in Accordance with the Terms of the Authorization - R12: Branch Sold to Another DFI - R13: RDFI not qualified to participate - R14: Representative payee deceased or unable to continue in that capacity - R15: Beneficiary or bank account holder - R16: Bank account frozen - R17: Entry with Invalid Account Number Initiated Under Questionable Circumstances - R20: Non-payment bank account - R23: Credit entry refused by receiver - R29: Corporate customer advises not authorized - R34: Limited participation RDFI - R38: Stop Payment on Source Document (Adjustment Entry) - R39: Improper Source Document Values: `R02`, `R03`, `R04`, `R05`, `R07`, `R08`, `R10`, `R11`, `R12`, `R13`, `R14`, `R15`, `R16`, `R17`, `R20`, `R23`, `R29`, `R34`, `R38`, `R39`. |
| `exceptionDetails.rtpRejectionCode` | string |  | The rejection code of an RTP transaction that caused the bank account status to change. - AC03: Account Invalid - AC04: Account Closed - AC06: Account Blocked - AC14: Creditor Account Type Invalid - AG01: Transactions Forbidden On Account - AG03: Transaction Type Not Supported - MD07: Customer Deceased Values: `AC03`, `AC04`, `AC06`, `AC14`, `AG01`, `AG03`, `MD07`. |
| `exceptionDetails.fednowRejectionCode` | string |  | The rejection code of a FedNow transaction that caused the bank account status to change. - AC02: Debtor account is invalid - AC03: Creditor account is invalid - AC04: Account closed - AC06: Account is blocked - AC07: Creditor account closed - AC10: Debtor account currency is invalid or missing - AC11: Creditor account currency is invalid or missing - AC13: Debtor account type missing or invalid - AC14: Creditor account type missing or invalid - AG01: Transaction is forbidden on this type of account - AG03: Transaction type is not supported/authorized on this account - BE06: End customer specified is not known at associated Sort/National Bank Code or no longer exists in the books - DUPL: Payment is a duplicate of another payment - MD07: End customer is deceased - NOAT: Receiving customer account does not support/accept this message type - RC02: Bank identifier is invalid or missing - RC03: Debtor FI identifier is invalid or missing - RC04: Creditor FI identifier is invalid or missing |
| `exceptionDetails.description` | string | Yes | Details related to an `errored` or `verificationFailed` bank account status. |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 409 | The request conflicted with the current state of the target resource. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X PUT "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/verify" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "code": "MV1234"
}'
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.bankAccounts.completeVerification({
    accountID: "2116e60b-0ea7-447e-a7af-5d647f92f06a",
    bankAccountID: "96606c15-fd37-49fe-9af2-4e42dcf44fe3",
    completeBankAccountVerification: {
      code: "MV1234",
    },
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/sources/bank-accounts/complete-bank-account-verification/
